View Issue Details

IDProjectCategoryView StatusLast Update
0002223unrealircdpublic2005-02-12 20:14
ReporterStealthAssigned Tosyzop 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.3 
Summary0002223: ban version: action shun
DescriptionIt seems that the shun action in ban version blocks doesnt work. When tested, no shun was added for the user with the unwanted version.

The block it was tested with is in the Additional Info
Additional Informationban version {
        mask "*mirc*";
        reason "....";
        action shun;
};
TagsNo tags attached.
3rd party modules

Activities

syzop

2004-12-05 16:51

administrator   ~0008513

Oh... I think it adds the shun but does not apply it to the current users :p.

Stealth

2004-12-05 16:54

reporter   ~0008514

Last edited: 2004-12-05 16:55

I wonder how long this bug has been here... Maybe the other actions should be tested to see if they work too :P

Stealth

2004-12-05 16:58

reporter   ~0008515

Something else about ban version:

It seems the except ban is not effective with the kline action. I wonder about the stuff in except tkl too :)

syzop

2004-12-05 17:03

administrator   ~0008516

[quote] I wonder how long this bug has been here... Maybe the other actions should be tested to see if they work too :P[/quote]
Do you think nobody uses spamfilter? lol :PP

The 'shun' target is just not popular, I wouldn't use it either... shun stuff is done differently than other TKL*'s by a subfunction, hence it failed to apply to current users. This will of course be fixed.

[quote]It seems the except ban is not effective with the kline action.[/quote]
Works fine here.

syzop

2004-12-05 17:06

administrator   ~0008517

[quote]It seems the except ban is not effective with the kline action.[/quote]

Or actually.. what do you mean ?? :P
*lines/etc are just added, except .. has nothing to do with that, it's just that they shouldn't disconnect the user if exempted... or did you find a situation where it does?

Stealth

2004-12-05 17:12

reporter   ~0008518

Don't worry, it works.

The person testing it had "except ban { *@*; };"

syzop

2004-12-06 12:40

administrator   ~0008528

uh I suppose I misread half of this post (!spamfilter), but anyway.. confirmed, w/shun action it doesn't do a thing :P.

syzop

2005-02-12 20:14

administrator   ~0009112

I'm confused by my earlier comments, but anyway...

Fixed shuns not working in spamfilter, and I presume this affected ban version { } as well (I only tested that it's fixed now :p).

Fixed in .266. (it were 2 bugs btw).

Issue History

Date Modified Username Field Change
2004-12-05 16:49 Stealth New Issue
2004-12-05 16:51 syzop Note Added: 0008513
2004-12-05 16:54 Stealth Note Added: 0008514
2004-12-05 16:55 Stealth Note Edited: 0008514
2004-12-05 16:58 Stealth Note Added: 0008515
2004-12-05 17:03 syzop Note Added: 0008516
2004-12-05 17:06 syzop Note Added: 0008517
2004-12-05 17:12 Stealth Note Added: 0008518
2004-12-06 12:40 syzop Status new => confirmed
2004-12-06 12:40 syzop Note Added: 0008528
2005-02-12 20:14 syzop Status confirmed => resolved
2005-02-12 20:14 syzop Fixed in Version => 3.2.3
2005-02-12 20:14 syzop Resolution open => fixed
2005-02-12 20:14 syzop Assigned To => syzop
2005-02-12 20:14 syzop Note Added: 0009112